Plane Class Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

| Plane (Neighbor a, Neighbor b, Neighbor sum, const vector< Mlfb > &mlfbs, const GrobLat &lat)
size_t | getTypeCount (size_t type) const
size_t | getMaxType () const
NeighborPlace | getPlace (Neighbor neighbor) const
bool | inPlane (Neighbor neighbor) const
bool | isPivot (const Mlfb &mlfb) const
bool | isSidePivot (const Mlfb &mlfb) const
bool | isFlat (const Mlfb &mlfb) const
bool | is22 (const Mlfb &mlfb) const
size_t | getType (const Mlfb &mlfb) const
bool | hasFlat () const

## Public Attributes

Matrix | nullSpaceBasis
Tri | tri
Matrix | rowAB
size_t | flatIntervalCount
map< size_t, size_t > | typeCounts
vector< NeighborPlace > | neighborPlace
vector< SeqPos > | flatSeq
vector< const Mlfb * > | pivots

## Detailed Description

Definition at line 258 of file LatticeAlgs.h.

## Constructor & Destructor Documentation

## Plane()

Plane::Plane | ( | Neighbor | a,
|  | Neighbor | b,
|  | Neighbor | sum,
|  | const vector< Mlfb > & | mlfbs,
|  | const GrobLat & | lat )

inline

Definition at line 260 of file LatticeAlgs.h.

## Member Function Documentation

## getMaxType()

size_t Plane::getMaxType | ( |  | ) | const

Definition at line 1455 of file LatticeAlgs.cpp.

## getPlace()

NeighborPlace Plane::getPlace | ( | Neighbor | neighbor | ) | const

Definition at line 1462 of file LatticeAlgs.cpp.

## getType()

size_t Plane::getType | ( | const Mlfb & | mlfb | ) | const

Definition at line 1511 of file LatticeAlgs.cpp.

## getTypeCount()

size_t Plane::getTypeCount | ( | size_t | type | ) | const

Definition at line 1447 of file LatticeAlgs.cpp.

## hasFlat()

bool Plane::hasFlat | ( |  | ) | const

inline

Definition at line 274 of file LatticeAlgs.h.

## inPlane()

bool Plane::inPlane | ( | Neighbor | neighbor | ) | const

Definition at line 1469 of file LatticeAlgs.cpp.

## is22()

bool Plane::is22 | ( | const Mlfb & | mlfb | ) | const

Definition at line 1487 of file LatticeAlgs.cpp.

## isFlat()

bool Plane::isFlat | ( | const Mlfb & | mlfb | ) | const

Definition at line 1492 of file LatticeAlgs.cpp.

## isPivot()

bool Plane::isPivot | ( | const Mlfb & | mlfb | ) | const

Definition at line 1473 of file LatticeAlgs.cpp.

## isSidePivot()

bool Plane::isSidePivot | ( | const Mlfb & | mlfb | ) | const

Definition at line 1478 of file LatticeAlgs.cpp.

## Member Data Documentation

## flatIntervalCount

size_t Plane::flatIntervalCount

Definition at line 281 of file LatticeAlgs.h.

## flatSeq

vector<SeqPos> Plane::flatSeq

Definition at line 285 of file LatticeAlgs.h.

## neighborPlace

vector<NeighborPlace> Plane::neighborPlace

Definition at line 284 of file LatticeAlgs.h.

## nullSpaceBasis

Matrix Plane::nullSpaceBasis

Definition at line 278 of file LatticeAlgs.h.

## pivots

vector<const Mlfb*> Plane::pivots

Definition at line 286 of file LatticeAlgs.h.

## rowAB

Matrix Plane::rowAB

Definition at line 280 of file LatticeAlgs.h.

## tri

Tri Plane::tri

Definition at line 279 of file LatticeAlgs.h.

## typeCounts

map<size_t, size_t> Plane::typeCounts

Definition at line 283 of file LatticeAlgs.h.

The documentation for this class was generated from the following files:

- src/LatticeAlgs.h
- src/LatticeAlgs.cpp